progress.h File Reference
`#include "osl/numEffectState.h"`
`#include "osl/eval/midgame.h"`
`#include "osl/container.h"`
`#include <cstdlib>`

Go to the source code of this file.

## Classes

class | osl::progress::ProgressN< N >
struct | osl::progress::ml::NewProgressDebugInfo
struct | osl::progress::ml::NewProgressData
class | osl::progress::ml::NewProgress
class | osl::progress::NewProgress
class | osl::NewProgress

## Namespaces

namespace | osl
namespace | osl::progress
namespace | osl::progress::ml

## Typedefs

typedef ProgressN< 16 > | osl::progress::Progress16
typedef ProgressN< 32 > | osl::progress::Progress32
typedef ProgressN< 16 > | osl::Progress16
typedef ProgressN< 32 > | osl::Progress32

## Functions

template<int N>
bool | osl::progress::operator== (ProgressN< N > l, ProgressN< N > r)
template<int N>
bool | osl::progress::operator!= (ProgressN< N > l, ProgressN< N > r)
template<int N>
bool | osl::progress::operator< (ProgressN< N > l, ProgressN< N > r)
bool | osl::progress::ml::operator== (const NewProgressData &l, const NewProgressData &r)
bool | osl::progress::ml::operator== (const NewProgress &l, const NewProgress &r)